playeffect("vhod1_f")

setCursor(obj.mini_Kranik_5_0.id,2);

setCursor(obj.door_Besedka_5_0.id,8);
setCursor(obj.door_HollMuzeya_5_0.id,2);
setCursor(obj.door_VorotaMuzeya_5_0.id,6);
setCursor(obj.door_MuzeyHidden_5_0.id,2);
setCursor(obj.mini_VorotaKardonisy_12_0.id,7);

function SelectRandom()
  if not neighbors.MuzeyHidden.lock then
    giveMeHint(obj.door_MuzeyHidden_5_0.id);
  return end

  if obj.golub_12_13 and obj.golub_12_13.is_stored then
    giveMeHint(obj.door_HollMuzeya_5_0.id);
  return end
  if obj.vedro_3_0 and obj.vedro_3_0.is_collapsed and obj.kran_8_0 and obj.kran_8_0.is_collapsed
  and obj.tryapka_6_1 and obj.tryapka_6_1.is_collapsed and not neighbors.Kranik.lock then
    giveMeHint(obj.mini_Kranik_5_0.id);
  return end
  CreatePlashechka("10001")
end;


if neighbors.MuzeyHidden.lock then
  set_visible_object(obj.door_MuzeyHidden_5_0.id,false)
else
  set_visible_object(obj.door_MuzeyHidden_5_0.id,true)
end
if flags.traviNet then
  set_visible_object(obj.zarosli_travy_5_0.id,false)
end
if neighbors.Golubok.lock then
  setCursor(obj.door_HollMuzeya_5_0.id,5);
  StopEmiter("Standart_5_4");
  set_visible_object(obj.dver_5_0.id,true)
else
  set_visible_object(obj.dver_5_0.id,false)
AddEmiter(obj.door_HollMuzeya_5_0.id,"Standart_5_4");
StartEmiter("Standart_5_4");
end

if flags.vedro then
set_visible_object(900,true)
else
set_visible_object(900,false)
end
if flags.kran then
set_visible_object(901,true)
else
set_visible_object(901,false)
end
if neighbors.Kranik.lock then
  set_visible_object(obj.mini_Kranik_5_0.id,false)
end

function gameinput (sender,obj_id,attachedID)
  sendersProcessing(sender,obj_id,attachedID)
  if sender==1 then
    if obj_id == obj.door_Besedka_5_0.id then
      jump("Besedka");
    end;
    if obj_id == obj.door_HollMuzeya_5_0.id then
      if neighbors.Golubok.lock then
        jump("HollMuzeya");
      else
        CreateSatelite("Golubok");
        playeffect("sat")
      end
    end;
    if obj_id == obj.door_VorotaMuzeya_5_0.id then
      jump("VorotaMuzeya");
    end;
    if obj_id == obj.door_MuzeyHidden_5_0.id then
      flags.is_hidden_loc = true;
      jump("MuzeyHidden");
    end;
    if obj_id == obj.mini_Kranik_5_0.id then
      CreateSatelite("Kranik");
      playeffect("sat")
    end;

    if obj_id == obj.mini_VorotaKardonisy_12_0.id then
      jump("VorotaKardonisy");
    end;    
  end
end


